SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001999SOGoBackend Calendarpublic2012-09-29 18:562012-10-19 09:15
ReporterMarcel 
Assigned Towsourdeau 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0 
Target Version2.0.2Fixed in Version2.0.2 
Summary0001999: sogod crashes on some (not all) PROPFIND requests to shared calendars; resulting in 502 proxy errors
DescriptionI have two shared calendars which reliably crash SOGo. At least one of them already did so in 1.3.18 as well.

I am running SOGo 2.0 on Ubuntu 12.04 (Apache 2.2.22); the client is iCal from MacOSX 10.8.2.
Additional InformationThe backtrace:


Program received signal SIGSEGV, Segmentation fault.
0x00007f5488e1a692 in objc_msg_lookup () from /usr/lib/x86_64-linux-gnu/libobjc.so.3
(gdb) bt
#0 0x00007f5488e1a692 in objc_msg_lookup () from /usr/lib/x86_64-linux-gnu/libobjc.so.3
0000001 0x00007f54893932cc in ?? () from /usr/lib/libgnustep-base.so.1.22
0000002 0x00007f54893dbf79 in ?? () from /usr/lib/libgnustep-base.so.1.22
0000003 0x00007f548a06acd2 in ?? () from /usr/lib/libEOControl.so.4.9
0000004 0x00007f548bf479cd in -[SOGoGCSFolder toOneRelationshipKeys] (self=0x10615b0, _cmd=0x7f548b265d60) at SOGoGCSFolder.m:646
0000005 0x00007f548af3d8d3 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000006 0x00007f548af3eb71 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000007 0x00007f548af3f206 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000008 0x00007f548af3e5ca in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000009 0x00007f548af4187b in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000010 0x00007f548af4523c in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000011 0x00007f548af24aa8 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000012 0x00007f548aeb5675 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000013 0x00007f548ae7bc86 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000014 0x0000000000402f69 in -[SOGo dispatchRequest:] (self=0xb4c6e0, _cmd=0x7f548b233f80, _request=0xeb6d10) at SOGo.m:452
0000015 0x00007f548af1471d in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000016 0x00007f548af160a8 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000017 0x00007f548af10bd9 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000018 0x00007f548af11dc6 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000019 0x00007f548af1217a in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000020 0x00007f548af10f59 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000021 0x00007f548948148d in ?? () from /usr/lib/libgnustep-base.so.1.22
0000022 0x00007f548957bf62 in ?? () from /usr/lib/libgnustep-base.so.1.22
0000023 0x00007f54894ca170 in ?? () from /usr/lib/libgnustep-base.so.1.22
0000024 0x00007f54894c9250 in ?? () from /usr/lib/libgnustep-base.so.1.22
0000025 0x00007f548ae7b5ee in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000026 0x0000000000402689 in -[SOGo run] (self=0xb4c6e0, _cmd=0x7f548b1d9160) at SOGo.m:276
0000027 0x00007f548aebe2b1 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000028 0x00007f548aebd806 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000029 0x00007f548aebe9d2 in ?? () from /usr/lib/libNGObjWeb.so.4.9
0000030 0x00007f548aebef07 in WOWatchDogApplicationMain () from /usr/lib/libNGObjWeb.so.4.9
0000031 0x000000000040195d in main (argc=7, argv=0x7fff928840c8, env=0x7fff92884108) at sogod.m:53

sogo.log:


Sep 30 00:48:25 sogod [2772]: <0x0xc82cc0[WOWatchDog]> child spawned with pid 6223
Sep 30 00:48:25 sogod [6223]: <0x0xbd43c0[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Sep 30 00:48:25 sogod [6223]: <0x0xbd43c0[SOGoCache]> Using host(s) 'localhost' as server(s)
Sep 30 00:48:25 sogod [6223]: [WARN] <0x0xe9c350[SOGoWebDAVAclManager]> entry '{DAV:}write' already exists in DAV permissions table
Sep 30 00:48:25 sogod [6223]: [WARN] <0x0xe9c350[SOGoWebDAVAclManager]> entry '{DAV:}write-properties' already exists in DAV permissions table
Sep 30 00:48:25 sogod [6223]: [WARN] <0x0xe9c350[SOGoWebDAVAclManager]> entry '{DAV:}write-content' already exists in DAV permissions table
2012-09-30 00:48:25.065 sogod[6223] Note(SoObject): SoDebugKeyLookup is enabled!
2012-09-30 00:48:25.065 sogod[6223] Note(SoObject): SoDebugBaseURL is enabled!
2012-09-30 00:48:25.065 sogod[6223] Note(SoObject): relative base URLs are enabled.
2012-09-30 00:48:25.066 sogod[6223] File NSKeyValueCoding.m: 913. In -[NSObject(KeyValueCoding) valuesForKeys:] This method is deprecated, use -dictionaryWithValuesForKeys:
87.245.127.186 - - [30/Sep/2012:00:48:25 GMT] "PROPFIND /SOGo/dav/wok/Calendar/ HTTP/1.1" 207 268/171 0.013 - - 1M
Sep 30 00:48:25 sogod [2772]: <0x0xc569a0[WOWatchDogChild]> child 6223 exited
Sep 30 00:48:25 sogod [2772]: <0x0xc569a0[WOWatchDogChild]> (terminated due to signal 11, coredump)
Sep 30 00:48:25 sogod [2772]: <0x0xc569a0[WOWatchDogChild]> avoiding to respawn child before 2012-09-30 00:48:30 +0200

The actual request that was processed during the crash (no longer logged):

PROPFIND /SOGo/dav/wok/Calendar/2141-503FC400-1-5AF3168/

<?xml version="1.0" encoding="UTF-8"?>
<A:propfind xmlns:A="DAV:">
  <A:prop>
    <A:getcontenttype/>
    <A:getetag/>
  </A:prop>
</A:propfind>
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0004598)
ludovic (administrator)
2012-09-29 18:57

Please produce a stack trace with the debug symbols of SOPE, SOGo and GNUstep in place.
(0004599)
Marcel (reporter)
2012-09-29 19:03

Oops, had only soho-dbg installed. Here is more:


Program received signal SIGSEGV, Segmentation fault.
0x00007f5488e1a692 in objc_msg_lookup (receiver=0x7f548a06abb0, op=0x7f54898b3320) at /build/buildd/gcc-4.6-4.6.3/src/libobjc/sendmsg.c:397
397 /build/buildd/gcc-4.6-4.6.3/src/libobjc/sendmsg.c: Datei oder Verzeichnis nicht gefunden.
(gdb) bt
#0 0x00007f5488e1a692 in objc_msg_lookup (receiver=0x7f548a06abb0, op=0x7f54898b3320) at /build/buildd/gcc-4.6-4.6.3/src/libobjc/sendmsg.c:397
0000001 0x00007f54893932cc in -[GSInlineArray initWithObjects:count:] (self=0x1028fb0, _cmd=<optimized out>, objects=0x10290a0, count=6) at GSArray.m:422
0000002 0x00007f54893dbf79 in +[NSArray arrayWithObjects:count:] (self=<optimized out>, _cmd=<optimized out>, objects=0x10290a0, count=6) at NSArray.m:268
0000003 0x00007f548a06acd2 in -[EOAndQualifier initWithQualifiers:] (self=0xd9e1d0, _cmd=<optimized out>, _qual1=<optimized out>) at EOAndQualifier.m:67
0000004 0x00007f548bf479cd in -[SOGoGCSFolder toOneRelationshipKeys] (self=0xef1420, _cmd=0x7f548b265d60) at SOGoGCSFolder.m:646
0000005 0x00007f548af3d8d3 in -[NSObject(SoObjectDAVQueries) davChildKeysInContext:] (self=0xef1420, _cmd=<optimized out>, _ctx=<optimized out>)
    at SoObject+SoDAVQuery.m:54
0000006 0x00007f548af3eb71 in -[SoObjectDataSource davFlatQuery:inContext:] (self=0xfcb930, _cmd=<optimized out>, _fs=0x101cd60, _ctx=0x104a450)
    at SoObjectDataSource.m:124
0000007 0x00007f548af3f206 in -[SoObjectDataSource fetchObjects] (self=0xfcb930, _cmd=<optimized out>) at SoObjectDataSource.m:265
0000008 0x00007f548af3e5ca in -[NSObject(SoObjectDAVQueries) performWebDAVQuery:inContext:] (self=0xef1420, _cmd=<optimized out>, _fs=0x101cd60, _ctx=0x104a450)
    at SoObject+SoDAVQuery.m:276
0000009 0x00007f548af4187b in -[SoObjectWebDAVDispatcher doPROPFIND:] (self=0xd9e530, _cmd=<optimized out>, _ctx=0x104a450) at SoObjectWebDAVDispatcher.m:550
0000010 0x00007f548af4523c in -[SoObjectWebDAVDispatcher dispatchInContext:] (self=0xd9e530, _cmd=<optimized out>, _ctx=0x104a450)
    at SoObjectWebDAVDispatcher.m:1779
0000011 0x00007f548af24aa8 in -[SoObjectRequestHandler handleRequest:inContext:session:application:] () from /usr/lib/libNGObjWeb.so.4.9
0000012 0x00007f548aeb5675 in -[WORequestHandler handleRequest:] (self=0xbadea0, _cmd=<optimized out>, _request=0xee6f20) at WORequestHandler.m:241
0000013 0x00007f548ae7bc86 in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0xaef3d0, _cmd=<optimized out>, _request=0xee6f20, handler=0xbadea0)
    at WOCoreApplication.m:716
0000014 0x0000000000402f69 in -[SOGo dispatchRequest:] (self=0xaef3d0, _cmd=0x7f548b233f80, _request=0xee6f20) at SOGo.m:452
0000015 0x00007f548af1471d in -[WOHttpTransaction _run] (self=0xee4aa0, _cmd=<optimized out>) at WOHttpTransaction.m:581
0000016 0x00007f548af160a8 in -[WOHttpTransaction run] (self=0xee4aa0, _cmd=<optimized out>) at WOHttpTransaction.m:634
0000017 0x00007f548af10bd9 in -[WOHttpAdaptor runConnection:] (self=0xe21ea0, _cmd=<optimized out>, _socket=0x1049670) at WOHttpAdaptor.m:374
0000018 0x00007f548af11dc6 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0xe21ea0, _cmd=<optimized out>, _connection=0x1049670) at WOHttpAdaptor.m:408
0000019 0x00007f548af1217a in -[WOHttpAdaptor _handleConnection:] (self=0xe21ea0, _cmd=<optimized out>, connection=0x1049670) at WOHttpAdaptor.m:467
0000020 0x00007f548af10f59 in -[WOHttpAdaptor acceptControlMessage:] (self=0xe21ea0, _cmd=<optimized out>, aNotification=<optimized out>) at WOHttpAdaptor.m:506
0000021 0x00007f548948148d in -[NSNotificationCenter _postAndRelease:] (self=0x8f0bd0, _cmd=<optimized out>, notification=0x103e550)
    at NSNotificationCenter.m:1162
0000022 0x00007f548957bf62 in -[GSRunLoopCtxt pollUntil:within:] (self=0xab0e20, _cmd=<optimized out>, milliseconds=1, contexts=0xb3d630) at GSRunLoopCtxt.m:636
0000023 0x00007f54894ca170 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0xb36bf0, _cmd=<optimized out>, mode=0x7f548993b390, limit_date=<optimized out>)
    at NSRunLoop.m:1198
0000024 0x00007f54894c9250 in -[NSRunLoop runMode:beforeDate:] (self=0xb36bf0, _cmd=<optimized out>, mode=0x7f548993b390, date=0xb2af30) at NSRunLoop.m:1266
0000025 0x00007f548ae7b5ee in -[WOCoreApplication run] (self=0xaef3d0, _cmd=<optimized out>) at WOCoreApplication.m:588
0000026 0x0000000000402689 in -[SOGo run] (self=0xaef3d0, _cmd=0x7f548b1d9160) at SOGo.m:276
0000027 0x00007f548aebe2b1 in -[WOWatchDog _spawnChild:] (self=0xc82cc0, _cmd=<optimized out>, child=0xc569a0) at WOWatchDogApplicationMain.m:578
0000028 0x00007f548aebd806 in -[WOWatchDog _ensureChildren] (self=0xc82cc0, _cmd=<optimized out>) at WOWatchDogApplicationMain.m:668
0000029 0x00007f548aebe9d2 in -[WOWatchDog run:argc:argv:] (self=0xc82cc0, _cmd=<optimized out>, newAppName=<optimized out>, newArgC=<optimized out>,
    newArgV=<optimized out>) at WOWatchDogApplicationMain.m:919
0000030 0x00007f548aebef07 in WOWatchDogApplicationMain (appName=0x608120, argc=7, argv=0x7fff928840c8) at WOWatchDogApplicationMain.m:1028
0000031 0x000000000040195d in main (argc=7, argv=0x7fff928840c8, env=0x7fff92884108) at sogod.m:53
(0004636)
wsourdeau (viewer)
2012-10-13 09:30

Can you provide us with a copy of the faulty calendar. You can export it via sogo-tool export. Send us the dump to support@inverse.ca.
(0004664)
Marc D (reporter)
2012-10-15 11:13

I have the same problem with CentOS 5.7. No shared agenda on iCal, but it works with thunderbird.
(0004676)
wsourdeau (viewer)
2012-10-19 09:15

Fixed in this commit: https://github.com/inverse-inc/sogo/commit/1357bb2f35a3ead46df29067e856497456f72f8c [^]

- Issue History
Date Modified Username Field Change
2012-09-29 18:56 Marcel New Issue
2012-09-29 18:57 ludovic Note Added: 0004598
2012-09-29 19:03 Marcel Note Added: 0004599
2012-10-13 09:30 wsourdeau Note Added: 0004636
2012-10-13 09:30 wsourdeau Status new => feedback
2012-10-13 09:30 wsourdeau Status feedback => assigned
2012-10-13 09:30 wsourdeau Assigned To => wsourdeau
2012-10-15 11:13 Marc D Note Added: 0004664
2012-10-18 09:22 wsourdeau Target Version => 2.0.2
2012-10-18 11:40 wsourdeau Status assigned => resolved
2012-10-18 11:40 wsourdeau Fixed in Version => 2.0.2
2012-10-18 11:40 wsourdeau Resolution open => fixed
2012-10-19 09:15 wsourdeau Note Added: 0004676


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker